Index: branches/BNC_2.12/src/upload/bncrtnetuploadcaster.cpp
===================================================================
--- branches/BNC_2.12/src/upload/bncrtnetuploadcaster.cpp	(revision 8016)
+++ branches/BNC_2.12/src/upload/bncrtnetuploadcaster.cpp	(revision 8018)
@@ -314,6 +314,6 @@
   struct PhaseBias phasebias;
   memset(&phasebias, 0, sizeof(phasebias));
-  unsigned int dispInd = 0;
-  unsigned int mwInd = 0;
+  unsigned int dispersiveBiasConsistenyIndicator = 0;
+  unsigned int mwConsistencyIndicator = 0;
   phasebias.EpochTime[CLOCKORBIT_SATGPS] = co.EpochTime[CLOCKORBIT_SATGPS];
   phasebias.EpochTime[CLOCKORBIT_SATGLONASS] = co.EpochTime[CLOCKORBIT_SATGLONASS];
@@ -366,5 +366,5 @@
     // non-satellite specific parameters
     if (key.contains("IND", Qt::CaseSensitive)) {
-      in >> dispInd >> mwInd;
+      in >> dispersiveBiasConsistenyIndicator >> mwConsistencyIndicator;
       continue;
     }
@@ -485,14 +485,14 @@
         }
         else if (key == "YawAngle") {
-          in >> numVal >> pbSat.yA;
-          if      (pbSat.yA < 0.0) {
-            pbSat.yA += (2*M_PI);
+          in >> numVal >> pbSat.yawAngle;
+          if      (pbSat.yawAngle < 0.0) {
+            pbSat.yawAngle += (2*M_PI);
           }
-          else if (pbSat.yA > 2*M_PI) {
-            pbSat.yA -= (2*M_PI);
+          else if (pbSat.yawAngle > 2*M_PI) {
+            pbSat.yawAngle -= (2*M_PI);
           }
         }
         else if (key == "YawRate") {
-          in >> numVal >> pbSat.yR;
+          in >> numVal >> pbSat.yawRate;
         }
         else if (key == "PhaseBias") {
@@ -500,5 +500,6 @@
           for (int ii = 0; ii < numVal; ii++) {
             phaseBiasSignal pb;
-            in >> pb.type >> pb.bias >> pb.intInd >> pb.wlInd >> pb.discCount;
+            in >> pb.type >> pb.bias >> pb.integerIndicator
+              >> pb.wlIndicator >> pb.discontinuityCounter;
             phaseBiasList.append(pb);
           }
@@ -1189,10 +1190,10 @@
 
       if (phasebiasSat) {
-        phasebias.DispersiveBiasConsistencyIndicator = dispInd;
-        phasebias.MWConsistencyIndicator = mwInd;
+        phasebias.DispersiveBiasConsistencyIndicator = dispersiveBiasConsistenyIndicator;
+        phasebias.MWConsistencyIndicator = mwConsistencyIndicator;
         phasebiasSat->ID = prn.number();
         phasebiasSat->NumberOfPhaseBiases = 0;
-        phasebiasSat->YawAngle = pbSat.yA;
-        phasebiasSat->YawRate = pbSat.yR;
+        phasebiasSat->YawAngle = pbSat.yawAngle;
+        phasebiasSat->YawRate = pbSat.yawRate;
         if (prn.system() == 'G') {
           QListIterator<phaseBiasSignal> it(phaseBiasList);
@@ -1206,9 +1207,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L1_CA;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "1S") {
@@ -1219,9 +1220,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L1C_D;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "1L") {
@@ -1232,9 +1233,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L1C_P;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "1X") {
@@ -1245,9 +1246,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L1C_P;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "1P") {
@@ -1258,9 +1259,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L1_P;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "1W") {
@@ -1271,9 +1272,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L1_Z;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "2C") {
@@ -1284,9 +1285,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L2_CA;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "2D") {
@@ -1297,9 +1298,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_SEMI_CODELESS;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "2S") {
@@ -1310,9 +1311,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L2_CM;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "2L") {
@@ -1323,9 +1324,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L2_CL;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "2X") {
@@ -1336,9 +1337,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L2_CML;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "2P") {
@@ -1349,9 +1350,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L2_P;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "2W") {
@@ -1362,9 +1363,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L2_Z;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "5I") {
@@ -1375,9 +1376,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L5_I;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "5Q") {
@@ -1388,9 +1389,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L5_Q;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "5X") {
@@ -1401,9 +1402,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L5_IQ;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
           }
@@ -1420,9 +1421,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGLONASS_L1_CA;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "1P") {
@@ -1433,9 +1434,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGLONASS_L1_P;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "2C") {
@@ -1446,9 +1447,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGLONASS_L2_CA;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "2P") {
@@ -1459,9 +1460,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGLONASS_L2_P;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
           }
@@ -1478,9 +1479,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E1_A;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "1B") {
@@ -1491,9 +1492,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E1_B;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "1C") {
@@ -1504,11 +1505,11 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E1_C;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
-            }
-                        else if (pbSig.type == "1X") {
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
+            }
+            else if (pbSig.type == "1X") {
               int ii = phasebiasSat->NumberOfPhaseBiases;
               if (ii >= CLOCKORBIT_NUMBIAS)
@@ -1517,9 +1518,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E1_BC;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "1Z") {
@@ -1530,9 +1531,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E1_ABC;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "5I") {
@@ -1543,9 +1544,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5A_I;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "5Q") {
@@ -1556,9 +1557,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5A_Q;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "5X") {
@@ -1569,9 +1570,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5A_IQ;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "7I") {
@@ -1582,9 +1583,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5B_I;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "7Q") {
@@ -1595,9 +1596,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5B_Q;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "7X") {
@@ -1608,9 +1609,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5B_IQ;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "8I") {
@@ -1621,9 +1622,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5_I;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "8Q") {
@@ -1634,9 +1635,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5_Q;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "8X") {
@@ -1647,9 +1648,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5_IQ;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "6A") {
@@ -1660,9 +1661,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E6_A;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "6B") {
@@ -1673,9 +1674,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E6_B;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "6C") {
@@ -1686,9 +1687,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E6_C;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "6X") {
@@ -1699,9 +1700,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E6_BC;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "6Z") {
@@ -1712,9 +1713,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E6_ABC;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
           }
@@ -1731,9 +1732,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L1_CA;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "1S") {
@@ -1744,9 +1745,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L1C_D;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "1L") {
@@ -1757,9 +1758,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L1C_P;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "1X") {
@@ -1770,9 +1771,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L1C_DP;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "2S") {
@@ -1783,9 +1784,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L2C_M;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "2L") {
@@ -1796,9 +1797,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L2C_L;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "2X") {
@@ -1809,9 +1810,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L2C_ML;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "5I") {
@@ -1822,9 +1823,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L5_I;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "5Q") {
@@ -1835,9 +1836,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L5_Q;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "5X") {
@@ -1848,9 +1849,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L5_IQ;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "6S") {
@@ -1861,9 +1862,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_LEX_S;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "6L") {
@@ -1874,9 +1875,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_LEX_L;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "6X") {
@@ -1887,9 +1888,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_LEX_SL;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
           }
@@ -1906,9 +1907,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPE_SBAS_L1_CA;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "5I") {
@@ -1919,9 +1920,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPE_SBAS_L5_I;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "5Q") {
@@ -1932,9 +1933,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPE_SBAS_L5_Q;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "5X") {
@@ -1945,9 +1946,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPE_SBAS_L5_IQ;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
           }
@@ -1964,9 +1965,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B1_I;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "2Q") {
@@ -1977,9 +1978,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B1_Q;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "2X") {
@@ -1990,9 +1991,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B1_IQ;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "6I") {
@@ -2003,9 +2004,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B3_I;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "6Q") {
@@ -2016,9 +2017,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B3_Q;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "6X") {
@@ -2029,9 +2030,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B3_IQ;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "7I") {
@@ -2042,9 +2043,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B2_I;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "7Q") {
@@ -2055,9 +2056,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B2_Q;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
             else if (pbSig.type == "7X") {
@@ -2068,9 +2069,9 @@
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B2_IQ;
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
-                  pbSig.wlInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
-                  pbSig.discCount;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator = pbSig.integerIndicator;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator =
+                  pbSig.wlIndicator;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter =
+                  pbSig.discontinuityCounter;
             }
           }
